<?php

namespace JimsCustomerBooking\Admin\BackendPages;


use JimsCustomerBooking\Helpers\OptionHelper;
use JimsCustomerBooking\Helpers\SettingsHelper;
use JimsCustomerBooking\Helpers\StringHelper;

if (!class_exists('JimsCustomerBooking\Admin\BackendPages\EmailSubscriptionSettingsPage')) {
    /**
     *
     */
    class EmailSubscriptionSettingsPage extends SettingsPage
    {

        use SettingsTrait;

        /**
         * @var string
         */
        protected $name = 'Subscription';

        /**
         * @var string
         */
        protected $menu_title = 'Subscription';

        protected $parent_slug = 'wpcb_settings.php';

        /**
         * @var string
         */
        protected $menu_slug = 'wpcb_subscription_settings.php';

        /**
         * @var string
         */
        protected $template_name = 'settings.email-subscription';

        /**
         * @var string $option_name
         */
        public static $option_name = 'subscription';

        protected $hide_menu_item = true;

        public function GetContent()
        {
            $options = OptionHelper::get (static::$option_name, []);

            ($this->GetTemplate ())->render ([
                'title' => $this->name,
                'options' => $options,
                'pages' => SettingsHelper::getSettingsPages (),
                'css_class' => StringHelper::GetPrefixed ('wrapper'),
                'parts' => $this->GetParts ()
            ], true, '</div></div></div>');
        }
    }
}